---
title: List zone snippet rules
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Snippets](https://developers.cloudflare.com/api/go/resources/snippets)

[Rules](https://developers.cloudflare.com/api/go/resources/snippets/subresources/rules)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List zone snippet rules

client.Snippets.Rules.List(ctx, query) (\*SinglePage\[[RuleListResponse](<https://developers.cloudflare.com/api/go/resources/snippets#(resource)%20snippets.rules%20%3E%20(model)%20RuleListResponse%20%3E%20(schema)>)], error)

GET/zones/{zone\_id}/snippets/snippet\_rules

Fetches all snippet rules belonging to the zone.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Snippets Write``Snippets Read`

##### ParametersExpand Collapse

<details>

<summary>

query RuleListParams

</summary>

ZoneID param.Field\[string]

Use this field to specify the unique ID of the zone.

<a href="#(resource)%20snippets.rules%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20snippets.rules%20%3E%20(method)%20list%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type RuleListResponse struct{…}

Define a snippet rule.

</summary>

ID string

Specify the unique ID of the rule.

<a href="#(resource)%20snippets.rules%20%3E%20(model)%20RuleListResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

Expression string

Define the expression that determines which traffic matches the rule.

minLength1

<a href="#(resource)%20snippets.rules%20%3E%20(model)%20RuleListResponse%20%3E%20(schema)%20%3E%20(property)%20expression">Link to this property</a>

LastUpdated Time

Specify the timestamp of when the rule was last modified.

formatdate-time

<a href="#(resource)%20snippets.rules%20%3E%20(model)%20RuleListResponse%20%3E%20(schema)%20%3E%20(property)%20last_updated">Link to this property</a>

SnippetName string

Identify the snippet.

<a href="#(resource)%20snippets.rules%20%3E%20(model)%20RuleListResponse%20%3E%20(schema)%20%3E%20(property)%20snippet_name">Link to this property</a>

Description stringOptional

Provide an informative description of the rule.

<a href="#(resource)%20snippets.rules%20%3E%20(model)%20RuleListResponse%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

Enabled boolOptional

Indicate whether to execute the rule.

<a href="#(resource)%20snippets.rules%20%3E%20(model)%20RuleListResponse%20%3E%20(schema)%20%3E%20(property)%20enabled">Link to this property</a>

</details>

[Link to this property](<#(resource)%20snippets.rules%20%3E%20(model)%20RuleListResponse%20%3E%20(schema)>)

### List zone snippet rules

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/snippets"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.Snippets.Rules.List(context.TODO(), snippets.RuleListParams{
    ZoneID: cloudflare.F("9f1839b6152d298aca64c4e906b6d074"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
```

200 example

```
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "result": [
    {
      "id": "3a03d665bac047339bb530ecb439a90d",
      "expression": "ip.src eq 1.1.1.1",
      "last_updated": "2000-01-01T00:00:00Z",
      "snippet_name": "my_snippet",
      "description": "Execute my_snippet when IP address is 1.1.1.1.",
      "enabled": true
    }
  ],
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "result": [
    {
      "id": "3a03d665bac047339bb530ecb439a90d",
      "expression": "ip.src eq 1.1.1.1",
      "last_updated": "2000-01-01T00:00:00Z",
      "snippet_name": "my_snippet",
      "description": "Execute my_snippet when IP address is 1.1.1.1.",
      "enabled": true
    }
  ],
  "success": true
}
```